This Bugzilla instance is a read-only archive of historic NetBeans bug reports. To report a bug in NetBeans please follow the project's instructions for reporting issues.

Bug 43012 - CSS DataObject leaks
Summary: CSS DataObject leaks
Status: VERIFIED FIXED
Alias: None
Product: xml
Classification: Unclassified
Component: CSS (show other bugs)
Version: 3.x
Hardware: PC Linux
: P2 blocker (vote)
Assignee: Petr Pisl
URL:
Keywords: PERFORMANCE
Depends on:
Blocks: 19484
  Show dependency tree
 
Reported: 2004-05-10 15:44 UTC by _ pkuzel
Modified: 2007-09-25 06:05 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
Exception Reporter:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description _ pkuzel 2004-05-10 15:44:10 UTC
See strong listeners attached in contructor:

    public CSSObject(final FileObject obj,final
UniFileLoader loader) throws
DataObjectExistsException {
        super (obj, loader);
        
        CookieSet set = getCookieSet();

        // TOO EARLY and may be leak
        set.add (new
CSSEditorSupport(getPrimaryEntry()));

        // LEAK!!!
        getPrimaryFile().addFileChangeListener
(new FileListener ());
    }

It's exposed by iteration over datasystems, such
as in search.
Comment 2 dmladek 2004-09-07 10:30:51 UTC
Looking into the code, Peter is using
FileUtil.weakFileChangeListener() now, so seems like it's been fixed